<?php
namespace Folha\Entities\Base;

class GpeEsocialRegistro extends \Setforms2\Shared\ORM\BasicEntity
{

    protected $nrorginclusao;
    protected $pai;
    protected $dtultatu;
    protected $nrorgultatu;
    protected $tamanho;
    protected $nrorg;
    protected $tipo;
    protected $campo;
    protected $ocorrencia;
    protected $dec;
    protected $cdoperultatu;
    protected $cdoperinclusao;
    protected $nrregistro;
    protected $elemento;
    protected $dtinclusao;
    protected $nresocial;
    protected $descricao;
    protected $idativo;
    /** @var \Folha\Entities\GpeEsocial */
    protected $esocial = null;


    public function __construct() {
		$this->dtultatu = new \Setforms2\Shared\ORM\DateTime();
		$this->dtinclusao = new \Setforms2\Shared\ORM\DateTime();
		$this->idativo = 'S';

    }


    public function getNrorginclusao () {
        return $this->nrorginclusao;
    }

    /**
     * @return \Folha\Entities\GpeEsocialRegistro
     */
    public function setNrorginclusao ($nrorginclusao) {
        $this->nrorginclusao = $nrorginclusao;
        return $this;
    }

    public function getPai () {
        return $this->pai;
    }

    /**
     * @return \Folha\Entities\GpeEsocialRegistro
     */
    public function setPai ($pai) {
        $this->pai = $pai;
        return $this;
    }

    public function getDtultatu () {
        return $this->dtultatu;
    }

    /**
     * @return \Folha\Entities\GpeEsocialRegistro
     */
    public function setDtultatu ($dtultatu) {
        $this->dtultatu = $dtultatu;
        return $this;
    }

    public function getNrorgultatu () {
        return $this->nrorgultatu;
    }

    /**
     * @return \Folha\Entities\GpeEsocialRegistro
     */
    public function setNrorgultatu ($nrorgultatu) {
        $this->nrorgultatu = $nrorgultatu;
        return $this;
    }

    public function getTamanho () {
        return $this->tamanho;
    }

    /**
     * @return \Folha\Entities\GpeEsocialRegistro
     */
    public function setTamanho ($tamanho) {
        $this->tamanho = $tamanho;
        return $this;
    }

    public function getNrorg () {
        return $this->nrorg;
    }

    /**
     * @return \Folha\Entities\GpeEsocialRegistro
     */
    public function setNrorg ($nrorg) {
        $this->nrorg = $nrorg;
        return $this;
    }

    public function getTipo () {
        return $this->tipo;
    }

    /**
     * @return \Folha\Entities\GpeEsocialRegistro
     */
    public function setTipo ($tipo) {
        $this->tipo = $tipo;
        return $this;
    }

    public function getCampo () {
        return $this->campo;
    }

    /**
     * @return \Folha\Entities\GpeEsocialRegistro
     */
    public function setCampo ($campo) {
        $this->campo = $campo;
        return $this;
    }

    public function getOcorrencia () {
        return $this->ocorrencia;
    }

    /**
     * @return \Folha\Entities\GpeEsocialRegistro
     */
    public function setOcorrencia ($ocorrencia) {
        $this->ocorrencia = $ocorrencia;
        return $this;
    }

    public function getDec () {
        return $this->dec;
    }

    /**
     * @return \Folha\Entities\GpeEsocialRegistro
     */
    public function setDec ($dec) {
        $this->dec = $dec;
        return $this;
    }

    public function getCdoperultatu () {
        return $this->cdoperultatu;
    }

    /**
     * @return \Folha\Entities\GpeEsocialRegistro
     */
    public function setCdoperultatu ($cdoperultatu) {
        $this->cdoperultatu = $cdoperultatu;
        return $this;
    }

    public function getCdoperinclusao () {
        return $this->cdoperinclusao;
    }

    /**
     * @return \Folha\Entities\GpeEsocialRegistro
     */
    public function setCdoperinclusao ($cdoperinclusao) {
        $this->cdoperinclusao = $cdoperinclusao;
        return $this;
    }

    public function getNrregistro () {
        return $this->nrregistro;
    }

    /**
     * @return \Folha\Entities\GpeEsocialRegistro
     */
    public function setNrregistro ($nrregistro) {
        $this->nrregistro = $nrregistro;
        return $this;
    }

    public function getElemento () {
        return $this->elemento;
    }

    /**
     * @return \Folha\Entities\GpeEsocialRegistro
     */
    public function setElemento ($elemento) {
        $this->elemento = $elemento;
        return $this;
    }

    public function getDtinclusao () {
        return $this->dtinclusao;
    }

    /**
     * @return \Folha\Entities\GpeEsocialRegistro
     */
    public function setDtinclusao ($dtinclusao) {
        $this->dtinclusao = $dtinclusao;
        return $this;
    }

    public function getNresocial () {
        return $this->nresocial;
    }

    /**
     * @return \Folha\Entities\GpeEsocialRegistro
     */
    public function setNresocial ($nresocial) {
        $this->nresocial = $nresocial;
        return $this;
    }

    public function getDescricao () {
        return $this->descricao;
    }

    /**
     * @return \Folha\Entities\GpeEsocialRegistro
     */
    public function setDescricao ($descricao) {
        $this->descricao = $descricao;
        return $this;
    }

    public function getIdativo () {
        return $this->idativo;
    }

    /**
     * @return \Folha\Entities\GpeEsocialRegistro
     */
    public function setIdativo ($idativo) {
        $this->idativo = $idativo;
        return $this;
    }

    /**
     * @return \Folha\Entities\GpeEsocial
     */
    public function getEsocial() {
        if ($this->esocial === null && ($this->nresocial !== null)) {
            $id = array(
                "nresocial" => $this->nresocial,
            );
            $this->esocial = \Folha\Entities\GpeEsocial::getObject($id);
        }

        return $this->esocial;
    }

    /**
     * @return \Folha\Entities\GpeEsocialRegistro
     */
    public function setEsocial(\Folha\Entities\GpeEsocial $esocial = null) {
        $this->esocial = $esocial;
        if($esocial === null) {
            $this->nresocial = null;
        } else {
            $this->nresocial = $esocial->getNresocial();
        }

        return $this;
    }

}